summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorIago Toral <itoral@igalia.com>2009-12-14 11:52:18 +0100
committerIago Toral <itoral@igalia.com>2009-12-14 11:52:18 +0100
commit2cd04f49f4a9c56daaf9127fd737116115fbf513 (patch)
tree13c2ce3373498717b764ad1853a893f1ac0cc947 /autogen.sh
First commit
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..101287a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+REQUIRED_AUTOMAKE_VERSION=1.8
+PKG_NAME="media-store"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh